
Foniatr - Bug #213
problemy 2-12-2014
02 December 2014 08:58 - Marek Frič

Status: Resolved Start date: 02 December 2014
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: server Web Service Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 2.00 hours
Description

pokud nektere z tech problemu budes resit, prosim pocitej s tim ze v terminu mezi 3/12/2014 a 5/12/2014 budou provadet testy
LogoBA_skup_2_Habit_ZenyMaKu a LogoBA_skup_2_Volani_ZenyMaKu v Bratislave, jejich funkcnost by se  menit nemela

1)    nefunguje možnost spustit prohlížení testu v progrmatorskem prostredi
2)    někdy se stane, že se uloží test vícekrat pod stejnym jmenem – vhodne udelat gui na ukladani podobne jako je to ve windows
(save a saveas) s kontrolou jestli uz uvedeny soubor existuje, podobne novy soubor
3)    export vysledku, nefunguje idealne, pro snaze o export vsech pomoci kopirovani se pri oznaceni vsech vysledku v tabucle Ctrl+A
a vlozeni do excelu nakopiruje jenom prvnich 1000 radku (pritom vysledky muzou mit i radove 10 tisice radku) – takze vhodne nejaky
tool na export vysledku do csv nebo xls
4)    zmizly vysledky testu LogoBA_skup_1_Habit_ZenyMaKu (mam je zalohovane z minuleho tydne) zitra (3-12-2014) budou delany
dalsi testy v Bratislave - nemelo by se to uz stat, protoze stratim vysledky
5)    chyba vlozeni jedne odpovedi – tvar odpovedi: {case:,question: Jméno,answer:{}} v testu: LogoBA_skup_1_Volani_ZenyMaKu

History
#1 - 04 December 2014 03:33 - Tomáš Kulhánek
- Category set to server Web Service
- Assignee set to Tomáš Kulhánek
- Target version set to Psychotest 1
- % Done changed from 0 to 10

#2 - 04 December 2014 05:56 - Tomáš Kulhánek

Diagnostikovan problem pri ukladani dat do databaze. 
2014-12-04 12:00:25.2670 FATAL System.Data.SqlClient.SqlException (0x80131904): Violation of PRIMARY KEY constraint
'PK__psychote__3214EC075E455412'. Cannot insert duplicate key in object 'dbo.psychotestResultDTO'. The duplicate key value is (1).
The statement has been terminated.
   at System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection, Action`1 wrapCloseInAction)
   at System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj, Boolean callerHasConnectionLock, Boolean
asyncClose)
   at System.Data.SqlClient.TdsParser.TryRun(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream,
BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj, Boolean& dataReady)
   at System.Data.SqlClient.SqlCommand.RunExecuteNonQueryTds(String methodName, Boolean async, Int32 timeout, Boolean asyncWrite)
   at System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(TaskCompletionSource`1 completion, String methodName, Boolean sendToPipe,
Int32 timeout, Boolean asyncWrite)
   at System.Data.SqlClient.SqlCommand.ExecuteNonQuery()
   at ServiceStack.OrmLite.OrmLiteWriteExtensions.InsertAll[T](IDbCommand dbCmd, IEnumerable`1 objs) in
c:\src\ServiceStack.OrmLite\src\ServiceStack.OrmLite\OrmLiteWriteExtensions.cs:line 390
   at ServiceStack.OrmLite.ReadConnectionExtensions.Exec(IDbConnection dbConn, Action`1 filter) in
c:\src\ServiceStack.OrmLite\src\ServiceStack.OrmLite\Expressions\ReadConnectionExtensions.cs:line 56
   at RESTWebAppService.Model.psychotestResultRepository.StoreToDB()
   at RESTWebAppService.Global.Application_End(Object sender, EventArgs e)
#3 - 04 December 2014 12:27 - Tomáš Kulhánek
- Priority changed from Normal to Urgent
- % Done changed from 10 to 50

Přidáno logování. Při databázové chybě se zálohují výsledky do souboru, z nich lze data zrekonstruovat.
Zreprodukována chyba s neuloženými výsledky.

#4 - 04 December 2014 17:22 - Tomáš Kulhánek
- Status changed from New to In Progress
- Priority changed from Urgent to Normal
- % Done changed from 50 to 90

Zjistena puvodni pricina. Test LogoBA_skup_2_Habit_ZenyMaKu produkuje tak velky vysledek, ze se nevesel do databazove tabulky.

2014-12-04 15:05:43.8610 ERROR InsertToDB had an error @ 12/4/2014 15:05:43 : String or binary data would be truncated.
The statement has been terminated.
   at System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection, Action`1 wrapCloseInAction)

Proveden Alter DB na tabulku psychotestresultdto, sloupec resultitems zmenen z VARCHAR na VARCHAR
Chyba byla detekovana i klientem, v prohlizeci, ale jen v Javascript konzoli. Pridana hlaska s varovanim, ze doslo k chybe. Vysledky se na klienta
docasne ulozi a bude mozne je v pripade potreby z toho stejneho pocitace v budoucnu dostat.
Dale pridano logovani dat. Pri chybe databaze bude mozne docasne vysledky rekonstruovat.

#5 - 01 July 2015 21:05 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- Target version changed from Psychotest 1 to Psychotest2
- % Done changed from 90 to 100
